Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IDocument

All Known Subinterfaces:
  IRemoteDocument, IWebLinkDocument

public interface IDocument

Represents a newly-created document in the portal. A new document can be created through the `IDocumentManager` interface. Note: Changes made to this object will not take effect in the portal until the `save()` method is called.

Method Summary
`int` | `getDataSourceID()` Gets the ID for the Data Source used to access the document.
`int` | `getID()` Gets the ID of the document.
`java.lang.String` | `getLanguage()` Gets the language of this document, or `null` if no language has been set.
`int` | `getParentFolderID()` Gets the ID for the folder in which the document resides.
`int` | `save()` Saves any changes made to this object in the portal.
`void` | `setLanguage(java.lang.String language)` Sets the language of the document.
`void` | `setOverrideDescription(java.lang.String description)` Sets a description to use for the document in the portal Knowledge Directory.
`void` | `setOverrideName(java.lang.String name)` Sets a name to use for the document in the portal Knowledge Directory.

Method Detail

### getID

    public int getID()

  Gets the ID of the document. Note: The document ID of a newly-created document is not available until the `save()` method is called.

  Returns:
    the ID of the document
  Throws:
    `java.lang.IllegalStateException` - if the method was called for a newly created document before it was saved

### getParentFolderID

    public int getParentFolderID()

  Gets the ID for the folder in which the document resides.

  Returns:
    the parent folder ID

### getDataSourceID

    public int getDataSourceID()

  Gets the ID for the Data Source used to access the document.

  Returns:
    the Data Source ID

### getLanguage

    public java.lang.String getLanguage()

  Gets the language of this document, or `null` if no language has been set.

  Returns:
    the document language

### setLanguage

    public void setLanguage(java.lang.String language)

  Sets the language of the document. Note: If not set, defaults to "en".

  Parameters:
    `language` - the document language

### setOverrideName

    public void setOverrideName(java.lang.String name)

  Sets a name to use for the document in the portal Knowledge Directory. This name will override any name that the crawler gives the document by default.

  Parameters:
    `name` - the name to use instead of the default

### setOverrideDescription

    public void setOverrideDescription(java.lang.String description)

  Sets a description to use for the document in the portal Knowledge Directory. This name will override any description that the crawler gives the document by default.

  Parameters:
    `description` - the description to use instead of the default

### save

    public int save()
             throws java.net.MalformedURLException,
                    PortalException,
                    java.rmi.RemoteException

  Saves any changes made to this object in the portal. The subinterface IRemoteDocument will throw an java.lang.IllegalStateException if setType() is not called.

  Returns:
    the ID of the document created; this value is useful since the document is always newly created in the portal
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `java.lang.IllegalStateException` - if the setType() method was not called in the IRemoteDocument subinterface
    `PortalException` - if an operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.